genView-class {MVCClass} | R Documentation

## Class "genView": A virtual class to describe a view

### Description

genView is a virtual class that all view classes inherit from. All views will contain the information of what window (slot win) they are stored in, what data (slot dataName) is shown in the view, and the number of the window (slot winNum) that shows the view.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`dataName`:
  a character string describing what data are shown in the view
`win`:
  an object of class `"GtkWindow"` that holds the view
`winNum`:
  a number that tells what number view this is (for example, the first view created will have winNum=1)

### Methods

dataName<-
  Sets the `dataName` slot
dataName
  Returns the `dataName` slot
win<-
  Sets the `win` slot
win
  Returns the `win` slot
winNum<-
  Sets the `winNum` slot
winNum
  Returns the `winNum` slot

Also, all view objects will have two methods, redrawView and updateView, that will define how a view should be redrawn when the underlying data has changed. The redrawView method will completely redraw the view, while the updateView method will only redraw the parts of the view that have changed. Both of these methods, redrawView and updateView, will be defined in packages that use this package, such as iSPlot and iSNetwork. Also, all views will have an identifyView method that will identify an object (such as a point, a node, a row, etc.) on the view given some location on the view (such as the user coordinates).

### Author(s)

Elizabeth Whalen

### See Also

`plotView-class`, `sPlotView-class`, `spreadView-class`

[Package MVCClass version 1.18.0 Index]